Subject: [bug#32834] [PATCH] gnu: icecat: Build with rust-1.24.

From: Mark H Weaver <[email-masked]>
Date: Sat, 29 Sep 2018 23:20:48 -0400

Danny Milosavljevic <[email-masked]> writes:

> On Sat, 29 Sep 2018 23:55:36 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> Hi Efraim,
>> 
>> Efraim Flashner <[email-masked]> skribis:
>> 
>> > * gnu/packages/gnuzilla.scm (icecat)[native-inputs]: Use the oldest
>> > compatable rust over newer releases when building icecat.  
>> 
>> [...]
>> 
>> > +      ;; Icecat 60 checkes for rust>=1.24
>> > +     `(("rust" ,rust-1.24)
>> > +       ("cargo" ,rust-1.24 "cargo")  
>> 
>> I suppose the goal is to reduce the build chain, right?
>> 
>> Mark, Danny: WDYT?
>
> I think it's a good idea.
>
> Eventually, the rust bootchain will change to mrustc -> [email-masked] -> ...,
> but we can cross that bridge when we come to it.
>
> I'm not sure about Rust's policy with regard to CVEs.  Are those patched
> in old releases, too?

Indeed, that's my main concern.  Might the older Rust compilers have
bugs that could lead to security flaws in IceCat?

Here's another possible approach to mitigate the cost of building this
long chain of Rust compilers: perhaps older versions of Rust could use
only minimal and highly stable inputs, such that they would be built
only once per core-updates cycle.  Thoughts?

       Mark